Create offer
curl --request POST \
--url https://panel.metricanic.com/api/v1/offers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Sweeps CC Submit US",
"url": "https://network.example.com/click?offer=123",
"affiliateNetworkId": "8d9e0f1a-2b3c-4d5e-8f6a-7b8c9d0e1f2a",
"appendClickId": true,
"country": "US"
}
'import requests
url = "https://panel.metricanic.com/api/v1/offers"
payload = {
"name": "Sweeps CC Submit US",
"url": "https://network.example.com/click?offer=123",
"affiliateNetworkId": "8d9e0f1a-2b3c-4d5e-8f6a-7b8c9d0e1f2a",
"appendClickId": True,
"country": "US"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Sweeps CC Submit US',
url: 'https://network.example.com/click?offer=123',
affiliateNetworkId: '8d9e0f1a-2b3c-4d5e-8f6a-7b8c9d0e1f2a',
appendClickId: true,
country: 'US'
})
};
fetch('https://panel.metricanic.com/api/v1/offers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"data": {
"id": "2e3f4a5b-6c7d-4e8f-9a0b-1c2d3e4f5a6b"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"requestId": "<string>"
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"requestId": "<string>"
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"requestId": "<string>"
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"requestId": "<string>"
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"requestId": "<string>"
}Offers
Create offer
Creates an offer and returns its id.
POST
/
api
/
v1
/
offers
Create offer
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Required string length:
1 - 160Absolute HTTPS URL starting with https://. Private, loopback, and local metadata hosts are rejected.
Required string length:
1 - 2048Pattern:
^[hH][tT][tT][pP][sS]://ISO 3166-1 alpha-2 country code. Use 'ZZ' for Global
Required string length:
36